#ifndef _MAIN_H
#define _MAIN_H

#include "main.decl.h"

extern CkChareID mainhandle;

class main : public Chare
{
  int numDone;
  public:
    main(CkArgMsg *);
    void done(void);
};

static inline void itersDone(void) { CProxy_main pm(mainhandle); pm.done(); }

#endif
